Subject: Re: bug#8781: bug#8730: bug#8781: 24.0.50; unload-feature don't restore default key

From: Juanma Barranquero <[email-masked]>
Date: Thu, 2 Jun 2011 13:40:12 +0200

On Thu, Jun 2, 2011 at 06:11, Stefan Monnier <[email-masked]> wrote:
>> Try the following patch. It sets [pj]ython-mode buffers to
>> (default-value 'major-mode), and inferior-python-mode buffers to the
>> parent of this mode (comint).
>
> I guess this part could be part of the generic unload-feature code.

How can we reliably determine that a symbol represents a major mode
name? Or are you proposing to go through the buffer list and checking
whether their major modes are defined in the package being unloaded?

    Juanma